org.apache.hadoop.hdfs.server.namenode

## Class INode.QuotaDelta

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.INode.QuotaDelta

- Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.INode

      public static class INode.QuotaDelta
      extends Object

  Information used to record quota usage delta. This data structure is usually passed along with an operation like `INode.cleanSubtree(org.apache.hadoop.hdfs.server.namenode.INode.ReclaimContext, int, int)`. Note that after the operation the delta counts should be decremented from the ancestral directories' quota usage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuotaDelta()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(QuotaCounts update)`
    `void` | `addQuotaDirUpdate(INodeDirectory dir, QuotaCounts update)`
    `void` | `addUpdatePath(INodeReference inode, QuotaCounts update)`
    `QuotaCounts` | `getCountsCopy()`
    `long` | `getNsDelta()`
    `Map<INodeDirectory,QuotaCounts>` | `getQuotaDirMap()`
    `Map<org.apache.hadoop.hdfs.server.namenode.INode,QuotaCounts>` | `getUpdateMap()`
    `void` | `setCounts(QuotaCounts c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuotaDelta

          public QuotaDelta()

  - ### Method Detail

    - #### add

          public void add(QuotaCounts update)

    - #### addUpdatePath

          public void addUpdatePath(INodeReference inode,
                                    QuotaCounts update)

    - #### addQuotaDirUpdate

          public void addQuotaDirUpdate(INodeDirectory dir,
                                        QuotaCounts update)

    - #### getCountsCopy

          public QuotaCounts getCountsCopy()

    - #### setCounts

          public void setCounts(QuotaCounts c)

    - #### getNsDelta

          public long getNsDelta()

    - #### getUpdateMap

          public Map<org.apache.hadoop.hdfs.server.namenode.INode,QuotaCounts> getUpdateMap()

    - #### getQuotaDirMap

          public Map<INodeDirectory,QuotaCounts> getQuotaDirMap()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.